Bug 141863 - workplace switcher doesn't select windows
Summary: workplace switcher doesn't select windows
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libwnck   
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-04 05:19 UTC by Need Real Name
Modified: 2014-06-18 09:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 16:07:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2004-12-04 05:19:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
Workplace Switcher in FC3 allows switching between Gnome workspaces
but doesn't allow selecting windows within a workspace.  This is
different from and less useful than how Workspace Switcher worked in
RH9.  It's also inconsistent with what the docs say it should do, so
it's a bug.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start two terminal windows in different parts of the screen
2. Move mouse to workspace switcher applet and try to switch between
the terminal windows
3.
    

Actual Results:  Nothing happens.  Window selection doesn't take effect.

Expected Results:  Selected window should change.

Additional info:

Comment 1 Andy Ross 2005-05-23 21:37:44 UTC
This looks to me (not being an expert) like yet another regression due to the
metacity changes documented in Bug 157270 and Bug 156710.  Programmatic control
over window stacking order seems pretty borked right now...

Comment 2 Ray Strode [halfline] 2005-05-24 14:53:50 UTC
Hi Andy,

This is a bug that started in FC3 according to the reporter.

Comment 3 Need Real Name 2005-05-24 18:25:59 UTC
I noticed the bug in FC3.  I don't know when it started.  I upgraded from RH9 to
FC3 and noticed the bug.  I never ran FC1 or FC2 and don't know if it was in
either of those.

Comment 4 Elijah Newren 2006-05-04 23:55:28 UTC
The *old* behavior was a bug; it was fixed here:
http://bugzilla.gnome.org/show_bug.cgi?id=100470.  This should be resolved as
notabug.  ;-)

Comment 5 Matthew Miller 2006-07-10 21:04:17 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.